Subject: RE: [Fwd: Parameter for interoperability test]

From: "Hoefelmeyer, Ralph (MCI)" <[email-masked]>
Date: Mon, 15 Mar 1999 02:56:57 -0000

Omar (& Henri),

The first thing you need to test gatekeeper/gateway interoperability is a
LAN protocol analyzer, preferably one that will decode H.323.
Hewlett-Packard has one in Beta, it works well.
  
Cisco has a product called Netflow for it's products, which allows one to
measure various attributes of the routers' performance (note that Cisco's
gatekeeper and gateway products use a version of their IOS).  If you use
Cisco, this is a possibility.

Various Measures of Merit (MOM) could be:

- time of call initiation to call setup
- interoperability of H.323 products; verify claims of H.323 v2
compatibility between products from different firms.  This has been an
important issue.
- the ease of configuration of the gatekeepers for number translation
(provisioning), if you are not accessing an existing number translation
mechanism
- the ability to hook into the gatekeeper for your outside number
translation setup (API access to the gatekeeper)

I would suggest you use an Ethernet (or Fast Ethernet)  LAN between the
gateways and gatekeeper.  Plug all of the devices into one hub, and it keeps
things simple, for your first try.   This is a simpler scope than what you
propose below, but interoperability is a key issue before moving to bigger
ideas.

QoS is a complex question, dependent on the target network(s).  Router
configurations, network topologies and firewalls all play a role here.

I would be interested in what you think, and what results you come up with,
if you can share this with us.

Good Luck!

Ralph

Ralph S. Hoefelmeyer
MCI WorldCom Engineer

> -----Original Message-----
> From:	Omar Ferrer [SMTP:[email-masked]]
> Sent:	Friday, March 12, 1999 6:20 AM
> To:	Henri Setiawan; H323 Implementors; IPTEL
> Subject:	[Fwd: Parameter for interoperability test]
> 
> Dear Mr. Setiawan: 
> 
> I've recently subscribe to this newsgroup asking for some help on testing
> VoIP products. I'm beginning a project in which we want to test Gateways,
> Gatekeepers and Network Managers, but we do not have experience with that
> because this field is completely new for the Latin America market. 
> 
> Do you now what I need to measure or test on each equipment and how? 
> 
> We are beginning a project for VoIP. In the first phase we want to test
> each equipment on a point to point link (TDM) with a higher bandwith and
> then decreasing as the traffic increase. In the second phase, we want to
> test the same products but with direct connection to the Internet. Here we
> need to prove some QoS tools and bandwith management techniques, and also,
> some testing with a Global Network for call terminations worldwide. 
> 
> Could you give some approach for this? 
> 
> Thanks!!! 
> Omar Ferrer 
> Caracas - Venezuela 
> 
> -------- Original Message -------- 
> Subject: 	 Parameter for interoperability test	 
> Date: 	 Fri, 12 Mar 1999 13:46:55 +0700	 
> From: 	 "Henri Setiawan" <[email-masked]>	 
> To: 	 <[email-masked]>	 
> CC: 	 <[email-masked]>	 
> 
>  Dear folks, We like to study about interoperability test for gateway and
> gateway keeper, do anyone know what kind of parameters that we should test
> for this testing ? Thanks Henri SR&D of PT Telkom Indonesia.

---

From: Omar Ferrer <[email-masked]>
Date: Mon, 15 Mar 1999 09:13:13 -0400

Thank you for your answer Mr. Hoefelmeyer:

As can be seen, we do not have knowledge of this testing. Even having an
ISP, VoIP serrvices are completely new because of the regulatory
enviroment that we are facing now.

Most of our equipments (Access Servers/5200 - 5300) are from Cisco, but
Lucent is offering to us a complete solution to replace our entire
platform. So, we need to test products that can operate with those.
Based on that, we are planning to call Cisco, Lucent, Ericsson, Siemens
and 3Com for Gateways and Gatekeepers.

I will very appreciated is you help me on build a testing project that
include H323 interoperability, QoS, Router configurations, billing
software, link with a Global Network, etc.

Thanks again Mr. Hoefelmeyer!!!
OF.

"Hoefelmeyer, Ralph (MCI)" wrote:

>
>
> Omar (& Henri),
>
> The first thing you need to test gatekeeper/gateway interoperability
> is a LAN protocol analyzer, preferably one that will decode H.323.
> Cisco has a product called Netflow for it's products, which allows one
> to measure various attributes of the routers' performance (note that
> Cisco's gatekeeper and gateway products use a version of their IOS).
> If you use Cisco, this is a possibility.
>
> (provisioning), if you are not accessing an existing number
> translation mechanism
>
> I would suggest you use an Ethernet (or Fast Ethernet)  LAN between
> the gateways and gatekeeper.  Plug all of the devices into one hub,
> and it keeps things simple, for your first try.   This is a simpler
> scope than what you propose below, but interoperability is a key issue
> before moving to bigger ideas.
>
> I would be interested in what you think, and what results you come up
> with, if you can share this with us.
>
> Good Luck!
>
> Ralph
>
> Ralph S. Hoefelmeyer
> MCI WorldCom Engineer
>
>      I've recently subscribe to this newsgroup asking for some help on
>      testing VoIP products. I'm beginning a project in which we want
>      to test Gateways, Gatekeepers and Network Managers, but we do not
>      have experience with that because this field is completely new
>      for the Latin America market.
>
>      We are beginning a project for VoIP. In the first phase we want
>      to test each equipment on a point to point link (TDM) with a
>      higher bandwith and then decreasing as the traffic increase. In
>      the second phase, we want to test the same products but with
>      direct connection to the Internet. Here we need to prove some QoS
>      tools and bandwith management techniques, and also, some testing
>      with a Global Network for call terminations worldwide.
>
>       Dear folks, We like to study about interoperability test for
>      gateway and gateway keeper, do anyone know what kind of
>      parameters that we should test for this testing ? Thanks Henri
>      SR&D of PT Telkom Indonesia.
>